Bug 961931

Summary: Upek Biometric Touchchip/Touchstrip Fingerprint Sensor isn't working
Product: [Fedora] Fedora Reporter: Naipaul Ojar <naipaul_ojar>
Component: libfprintAssignee: Bastien Nocera <bnocera>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 18CC: bcl, bnocera, caiqian, daaugusto, d-bugzilla, dhollis, drepper.fsp, jan.klepek, johnp, lihamakaroonilaatikko, pingou, redhat-bugzilla, rubin, sstein, tom, vadgamaharsh, vemcontact, walicki, yo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 504399 Environment:
Last Closed: 2014-02-05 16:18:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Naipaul Ojar 2013-05-10 15:35:26 EDT
+++ This bug was initially created as a clone of Bug #504399 +++

Description of problem:
I have an Lenovo Thinkpad [previous bug - eikon] fingerprint reader that identifies itself in lsusb as:

# lsusb | grep -i Upek
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor

 -- same id here

When using the Gnome About dialog to set it up it doesn't recognize the finger touch.

When using fprintd-enroll it returns this error:

[bcl@lister /]$ fprintd-enroll 
Using device /net/reactivated/Fprint/Device/0
Enrolling right index finger.
Enroll result: enroll-stage-passed


Version-Release number of selected component (if applicable):
# rpm -qa | grep fprint
libfprint-0.5.0-1.fc18.x86_64
fprintd-pam-0.4.1-4.fc18.x86_64
fprintd-0.4.1-4.fc18.x86_64
fprint_demo-0.4-10.fc18.1.x86_64

How reproducible:

I initially configured the fingerprint reader at BIOS boot time instead of BIOS password, under Windows 7 and it still works at Boot time. I enrolled 6 fingers and that works fine, but not under Linux.

Always

I ran the fprint_demo, which seemed to work but it could not register the result after the 5 swipes of the finge.


> see those errors logged to either dmesg or /var/log/messages.

May 10 20:16:35 naipaulpc dbus[955]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
May 10 20:16:35 naipaulpc dbus-daemon[955]: dbus[955]: [system] Successfully activated service 'net.reactivated.Fprint'
May 10 20:16:35 naipaulpc dbus[955]: [system] Successfully activated service 'net.reactivated.Fprint'
May 10 20:16:35 naipaulpc dbus-daemon[955]: Launching FprintObject
May 10 20:16:35 naipaulpc dbus-daemon[955]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
May 10 20:16:35 naipaulpc dbus-daemon[955]: ** Message: entering main loop
May 10 20:16:35 naipaulpc dbus-daemon[955]: ** Message: user 'root' claiming the device: 0
May 10 20:16:35 naipaulpc dbus-daemon[955]: ** Message: now monitoring fd 10
May 10 20:16:35 naipaulpc dbus-daemon[955]: ** Message: device 0 claim status 0
May 10 20:16:36 naipaulpc dbus-daemon[955]: ** Message: start enrollment device 0 finger 7
May 10 20:16:44 naipaulpc dbus-daemon[955]: ** Message: enroll_stage_cb: result 3
May 10 20:17:45 naipaulpc dbus-daemon[955]: ** Message: no longer monitoring fd 10
May 10 20:17:49 naipaulpc dbus-daemon[955]: ** Message: user 'root' claiming the device: 0
May 10 20:17:49 naipaulpc dbus-daemon[955]: ** Message: now monitoring fd 10
May 10 20:17:49 naipaulpc dbus-daemon[955]: ** Message: device 0 claim status 0
May 10 20:17:49 naipaulpc dbus-daemon[955]: ** Message: start enrollment device 0 finger 7
May 10 20:17:53 naipaulpc dbus-daemon[955]: ** Message: enroll_stage_cb: result 3
May 10 20:19:25 naipaulpc dbus-daemon[955]: ** Message: no longer monitoring fd 10
May 10 20:19:55 naipaulpc dbus-daemon[955]: ** Message: No devices in use, exit

> How do I switch on debug output for fprintd? It dosn't have a manpage.  

as root:
killall fprintd
/usr/libexec/fprintd -t

And use it.

--- Additional comment from Brian C. Lane on 2009-06-25 01:24:29 EDT ---

Sorry it took so long. Output from fprintd -t while user bcl tries running fprintd-enroll (same as the output when root tries to run fprintd-enroll)


[root@lister ~]# /usr/libexec/fprintd -t
/usr/libexec/fprintd -t
Launching FprintObject
** Message: D-Bus service launched with name: net.reactivated.Fprint
** Message: entering main loop
** Message: user 'root' claiming the device: 0
** Message: now monitoring fd 10
** Message: device 0 claim status 0
** Message: start enrollment device 0 finger 7
** Message: enroll_stage_cb: result 3

# fprintd-enroll
Using device /net/reactivated/Fprint/Device/0
Enrolling right index finger.
Enroll result: enroll-stage-passed
 .....
  --> hang until I force an exit.

There are posts to be found which state that 147e:2016 is working using upeksonly:

http://www.reactivated.net/weblog/archives/2008/07/upek-touchstrip-sensor-only-147e2016-on-linux/

http://www.thinkwiki.org/wiki/Integrated_Fingerprint_Reader

fprintd-0.2.0-1.fc14, libfprint-0.2.0-1.fc14, control-center-2.31.90-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 1 Tom 2013-11-27 10:07:34 EST
I guess this is probably solved by now. I had a similar problem but the solution was simple. The finger needs to be scanned multiple (5) times before the scan is registered. The prompts weren't exactly informative.
Still can't get it to enroll any other finger but that's a start.
Comment 2 Fedora End Of Life 2013-12-21 08:28:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:18:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.